Bug 1653118 - libnvidia-egl-wayland.so lacks wl_eglstream_interface symbol
Summary: libnvidia-egl-wayland.so lacks wl_eglstream_interface symbol
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: egl-wayland
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-25 23:25 UTC by Chris Halse Rogers
Modified: 2018-12-24 01:15 UTC (History)
3 users (show)

Fixed In Version: egl-wayland-1.1.0-0.2.20181015git0eb29d4.fc29 egl-wayland-1.1.1-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 02:42:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/NVIDIA egl-wayland issues 14 None None None 2018-11-25 23:39:40 UTC

Description Chris Halse Rogers 2018-11-25 23:25:56 UTC
The libnvidia-egl-wayland.so shipped in the package does not export the wl_eglstream_interface symbol. It's unclear to me how this has happened; a local build of the library correctly exports that object.

This symbol is required for Wayland compositors which want to provide EGL support on the NVIDIA drivers.

Comment 1 Chris Halse Rogers 2018-11-25 23:40:21 UTC
Aha! This is fixed in the commit *after* the 1.1.0 release, which is why my local builds see the symbol.

Comment 2 Fedora Update System 2018-11-26 01:17:15 UTC
egl-wayland-1.1.0-0.2.20181015git0eb29d4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-96341b0e25

Comment 3 Fedora Update System 2018-11-26 01:17:19 UTC
egl-wayland-1.1.0-0.2.20181015git0eb29d4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-82fe88f036

Comment 4 Fedora Update System 2018-11-27 02:43:54 UTC
egl-wayland-1.1.0-0.2.20181015git0eb29d4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-96341b0e25

Comment 5 Fedora Update System 2018-11-27 05:13:30 UTC
egl-wayland-1.1.0-0.2.20181015git0eb29d4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-82fe88f036

Comment 6 Fedora Update System 2018-11-28 02:42:26 UTC
egl-wayland-1.1.0-0.2.20181015git0eb29d4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-12-06 12:33:26 UTC
egl-wayland-1.1.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a9f6238aca

Comment 8 Fedora Update System 2018-12-07 03:56:33 UTC
egl-wayland-1.1.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a9f6238aca

Comment 9 Fedora Update System 2018-12-24 01:15:35 UTC
egl-wayland-1.1.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.